:ruby
  back_url ||= nil
  show_url ||= nil
  edit_url ||= nil
  destroy_url ||= nil
  new_url ||= nil
  new_caption ||= nil

.rui-actions.rui-actions--top
  - if back_url
    = link_to back_url, role: 'button', class: 'rui-button' do
      = icon 'caret-left'
      = t('generic.back')
  - if new_url && new_caption
    = link_to new_url, role: 'button', class: 'rui-button rui-button--creative' do
      = icon :plus
      = new_caption
  - if edit_url
    = link_to edit_url, role: 'button', class: 'rui-button' do
      = icon :pencil
      = t('generic.edit')
  - if show_url
    = link_to show_url, role: 'button', class: 'rui-button' do
      = icon :eye
      = t('generic.show')
  - if destroy_url
    = link_to destroy_url,
              method: :delete,
              data: { confirm: t('generic.are_you_sure') },
              role: 'button',
              class: 'rui-button rui-button--destructive' do
      = icon :trash
      = t('generic.destroy')
